# $Revision: 1.11.2.2 $, $Date: 2006/05/18 21:50:44 $
Summary:	Keyring manager for GNOME
Summary(pl):	Zarzdzanie kluczami dla GNOME
Name:		gnome-keyring-manager
Version:	2.14.0
Release:	2
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/gnome/sources/gnome-keyring-manager/2.14/%{name}-%{version}.tar.bz2
# Source0-md5:	d4e38c7b7da99885fa898917e10d8aeb
Patch0:		%{name}-desktop.patch
URL:		http://www.gnome.org/
BuildRequires:	GConf2-devel >= 2.14.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gnome-doc-utils >= 0.4.0
BuildRequires:	gnome-keyring-devel >= 0.4.9
BuildRequires:	gtk+2-devel >= 2:2.8.3
BuildRequires:	intltool >= 0.34
BuildRequires:	libglade2-devel >= 1:2.5.1
BuildRequires:	libgnomeui-devel >= 2.14.0
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	scrollkeeper
Requires(post,preun):	GConf2
Requires(post,postun):	scrollkeeper
Requires:	gnome-keyring-libs >= 0.4.9
Requires:	gtk+2 >= 2:2.8.3
Requires:	libgnomeui >= 2.14.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Keyring Manager is an application that manages user keyrings.

%description -l pl
GNOME Keyring Manager jest aplikacj suc do zarzdzania kluczami
uytkownika.

%prep
%setup -q
%patch0 -p1

%build
gnome-doc-prepare --copy --force
%{__aclocal}
%{__automake}
%{__autoconf}
%{__gnome_doc_common}
%configure \
	--disable-schemas-install \
	--disable-scrollkeeper
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

rm -r $RPM_BUILD_ROOT%{_datadir}/locale/no

%find_lang %{name}  --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install gnome-keyring-manager.schemas
%scrollkeeper_update_post

%preun
%gconf_schema_uninstall gnome-keyring-manager.schemas

%postun
%scrollkeeper_update_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog HACKING NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_desktopdir}/*
%{_mandir}/man1/*
%{_omf_dest_dir}/%{name}
%{_sysconfdir}/gconf/schemas/gnome-keyring-manager.schemas

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-keyring-manager.spec,v $
Revision 1.11.2.2  2006/05/18 21:50:44  baggins
- release 2
- strict reqs

Revision 1.11.2.1  2006/05/15 16:19:46  baggins
- merged from HEAD

Revision 1.12  2006/03/12 22:25:57  freetz
- 2.14.0

Revision 1.11  2005/09/07 17:39:10  freetz
- BR ac/am, full configure rebuild, rel.2

Revision 1.10  2005/09/07 10:43:23  paladine
- updated to 2.12.0

Revision 1.9  2005/08/25 10:06:45  paladine
- fixed %%files
- added missing BR/R: scrollkeeper
- run %%scrollkeeper_update_post{,un}
- rel. 2

Revision 1.8  2005/08/25 08:26:02  paladine
- updated to 2.11.92
- gnome-doc-utils for omf files
- sorted %%files

Revision 1.7  2005/04/25 09:47:57  paladine
- new style macros
- rel. 2

Revision 1.6  2005/02/02 17:21:50  grzegol
- updated to 0.0.4
- added BR: intltool >= 0.23
- remove no locale in %install

Revision 1.5  2004/12/25 17:40:50  qboosh
- unified

Revision 1.4  2004/11/17 12:38:19  paladine
- added desktop patch
- rel 2

Revision 1.3  2004/07/21 12:07:07  grzegol
- updated to 0.0.3

Revision 1.2  2004/07/12 17:35:34  qboosh
- formatting

Revision 1.1  2004/07/12 14:34:08  grzegol
- new
